> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/modeles-classification/sdk-integration/classification-quick-start.md).

# Démarrage rapide Classification

Intégrez un modèle Classification.

## Installez la bibliothèque cliente

Installez le Mindee SDK pour le langage ou le framework de votre choix

{% tabs %}
{% tab title="Python" %}
Nécessite Python ≥ 3.10. Python ≥ 3.12 est recommandé.

Installez simplement le [package PyPI](https://pypi.org/project/mindee/) à l'aide de `pip`:

```sh
pip install -U mindee~=5.3
```

{% endtab %}

{% tab title="Node.js" %}
Nécessite Node.js ≥ 20.1. Node.js ≥ 22 est recommandé.

Installez simplement le [package NPM](https://www.npmjs.com/package/mindee):

```sh
npm install mindee@^5.10.0
```

{% endtab %}

{% tab title="PHP" %}
Nécessite PHP ≥ 8.1. PHP ≥ 8.3 est recommandé.

Installez simplement le [package Packagist](https://packagist.org/packages/mindee/mindee) à l'aide de [composer](https://getcomposer.org/):

```sh
php composer.phar require "mindee/mindee:>=3.2"
```

{% endtab %}

{% tab title="Ruby" %}
Nécessite Ruby ≥ 3.2.

Installez simplement le [gem](https://rubygems.org/gems/mindee) avec :

```shell
gem install mindee -v '~> 5.4'
```

{% endtab %}

{% tab title="Java" %}
Nécessite Java ≥ 11. Java ≥ 17 est recommandé.

ID du groupe : `com.mindee.sdk`\
ID de l'artefact : `mindee-api-java`\
Version : `5.5.0` ou plus

Il existe diverses méthodes d'installation, Maven, Gradle, etc. :

[Détails de l'installation](https://central.sonatype.com/artifact/com.mindee.sdk/mindee-api-java)
{% endtab %}

{% tab title=".NET" %}
.NET ≥ 8.0 est recommandé.

Installez simplement le [package NuGet](https://www.nuget.org/packages/Mindee) à l'aide de `dotnet add`:

```sh
dotnet add package Mindee --version 4.8
```

{% endtab %}
{% endtabs %}

Vous ne voyez pas la prise en charge de votre langage ou framework préféré ? [Faites une demande de fonctionnalité !](https://feedback.mindee.com/?b=682f69c9e2404756e7e68d1c)

## Envoyer un fichier et interroger les résultats

Utilisez la bibliothèque cliente pour envoyer le fichier à votre Modèles Classification et renvoyer le résultat.

{% tabs %}
{% tab title="Python" %}
Nécessite Python ≥ 3.10. Python ≥ 3.12 est recommandé.\
Nécessite le [SDK Python Mindee](https://pypi.org/project/mindee/) version **5.3.1** ou supérieure.

{% code lineNumbers="true" %}

```python
from mindee import PathInput
from mindee.v2 import (
    Client,
    ClassificationParameters,
    ClassificationResponse,
)

input_path = "/path/to/the/file.ext"
api_key = "MY_API_KEY"
model_id = "MY_MODEL_ID"

# Initialisez un nouveau client
mindee_client = Client(api_key)

# Définissez les paramètres de Classification
model_params = ClassificationParameters(
    # ID du modèle, obligatoire.
    model_id=model_id,
)

# Chargez un fichier depuis le disque
input_source = PathInput(input_path)

# Envoyez pour traitement en utilisant le polling
response = mindee_client.enqueue_and_get_result(
    ClassificationResponse,
    input_source,
    model_params,
)

# Affichez un bref résumé des données analysées
print(response.inference)

# Accédez au résultat de Classification
classification: str = response.inference.result.classification.document_type
```

{% endcode %}

Consultez également la [Résultat de Classification](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}

{% tab title="Node.js" %}
Nécessite Node.js ≥ 20.1. Node.js ≥ 22 est recommandé.\
Nécessite le [Mindee Node.js SDK](https://www.npmjs.com/package/mindee/) version **5.10.0** ou supérieure.

{% code lineNumbers="true" %}

```javascript
// ESM ou TypeScript (recommandé)
import * as mindee from "mindee";

// Si vous utilisez CommonJS :
// const mindee = require("mindee");

const apiKey = "MY_API_KEY";
const modelId = "MY_MODEL_ID";
const filePath = "/path/to/the/file.ext";

// Initialiser un nouveau client
const mindeeClient = new mindee.Client(
  { apiKey: apiKey }
);

// Définir les paramètres de Classification
const modelParams = {
  modelId: modelId,
};

// Charger un fichier depuis le disque
const inputSource = new mindee.PathInput({ inputPath: filePath });

// Envoyer pour traitement
const response = await mindeeClient.enqueueAndGetResult(
  mindee.product.Classification,
  inputSource,
  modelParams,
);

// afficher un résumé sous forme de chaîne
console.log(response.inference.toString());

// Accéder au résultat de Classification
const classification = response.inference.result.classification;
```

{% endcode %}

Consultez également la [Résultat de Classification](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}

{% tab title="PHP" %}
Nécessite PHP ≥ 8.1. PHP ≥ 8.3 est recommandé.\
Nécessite le [Mindee PHP SDK](https://packagist.org/packages/mindee/mindee) version **3.2.0** ou supérieure.

{% code lineNumbers="true" %}

```php
<?php

use Mindee\Input\PathInput;
use Mindee\V2\Client;
use Mindee\V2\Product\Classification\Params\ClassificationParameters;
use Mindee\V2\Product\Classification\ClassificationResponse;

$apiKey = "MY_API_KEY";
$modelId = "MY_MODEL_ID";
$filePath = "/path/to/the/file.ext";

// Initialiser un nouveau client
$mindeeClient = new Client($apiKey);

// Définir les paramètres de Classification
$modelParams = new ClassificationParameters(
    // ID du modèle, requis.
    $modelId,
);

// Charger un fichier depuis le disque
$inputSource = new PathInput($filePath);

// Envoyer pour traitement à l'aide du polling
$response = $mindeeClient->enqueueAndGetResult(
    ClassificationResponse::class,
    $inputSource,
    $modelParams
);

// Afficher un résumé de la réponse
echo strval($response->inference);

// Accéder aux résultats de la classification
$classification = $response->inference->result->classification;
```

{% endcode %}

Consultez également la [Classification Result](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}

{% tab title="Ruby" %}
Nécessite Ruby ≥ 3.2.\
Nécessite le [SDK Ruby Mindee](https://rubygems.org/gems/mindee) version **5.4.0** ou supérieure.

{% code lineNumbers="true" %}

```ruby
require 'mindee'
require 'mindee/v2/product'

input_path = '/path/to/the/file.ext'
api_key = 'MY_API_KEY'
model_id = 'MY_MODEL_ID'

# Initialiser un nouveau client
mindee_client = Mindee::V2::Client.new(api_key: api_key)

# Définir les paramètres de Classification
model_params = {
    # ID du modèle, requis.
    model_id: model_id,
}

# Charger un fichier depuis le disque
input_source = Mindee::Input::Source::PathInputSource.new(input_path)

# Envoyer pour traitement
response = mindee_client.enqueue_and_get_result(
    Mindee::V2::Product::Classification::Classification,
    input_source,
    model_params
)

# Accéder au résultat de la Classification
puts response.inference.result.classification
```

{% endcode %}

Consultez également la [Résultat de Classification](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}

{% tab title="Java" %}
Nécessite Java ≥ 11. Java ≥ 17 est recommandé.\
Nécessite le [Mindee Java SDK](https://central.sonatype.com/artifact/com.mindee.sdk/mindee-api-java) version **5.5.0** ou supérieure.

{% code lineNumbers="true" %}

```java
import com.mindee.input.LocalInputSource;
import com.mindee.v2.MindeeClient;
import com.mindee.v2.product.classification.ClassificationResponse;
import com.mindee.v2.product.classification.params.ClassificationParameters;
import java.io.IOException;

public class SimpleMindeeClientV2 {

  public static void main(String[] args)
      throws IOException, InterruptedException
  {
    String apiKey = "MY_API_KEY";
    String modelId = "MY_MODEL_ID";
    String filePath = "/path/to/the/file.ext";

    // Initialiser un nouveau client
    var mindeeClient = new MindeeClient(apiKey);

    // Définir les paramètres de Classification
    var modelParams = ClassificationParameters
        // ID du modèle, requis.
        .builder(modelId)
        .build();

    // Charger un fichier depuis le disque
    var inputSource = new LocalInputSource(filePath);

    // Envoyer pour traitement en utilisant le polling
    ClassificationResponse response = mindeeClient.enqueueAndGetResult(
        ClassificationResponse.class,
        inputSource,
        modelParams
    );

    // Afficher un résumé de la réponse
    System.out.println(response.getInference().toString());

    // Accéder au résultat de la Classification
    var result = response.getInference().getResult();
    String documentType = result.getClassification().getDocumentType();
  }
}
```

{% endcode %}

Consultez également la [Classification Result](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}

{% tab title=".NET" %}
.NET ≥ 8.0 est recommandé.\
Nécessite le [Mindee .NET SDK](https://www.nuget.org/packages/Mindee) version **4.8.1** ou supérieure.

{% code lineNumbers="true" %}

```csharp
using Mindee;
using Mindee.Input;
using Mindee.V2;
using Mindee.V2.Product.Classification;
using Mindee.V2.Product.Classification.Params;

string filePath = "/path/to/the/file.ext";
string apiKey = "MY_API_KEY";
string modelId = "MY_MODEL_ID";

// Construire un nouveau client
Client mindeeClient = new Client(apiKey);

// Définir les paramètres d'inférence
var modelParams = new ClassificationParameters(
    modelId: modelId
);

// Chargez un fichier depuis le disque
var inputSource = new LocalInputSource(filePath);

// Téléverser le fichier
var response = await mindeeClient.EnqueueAndGetResultAsync<ClassificationResponse>(
    inputSource, modelParams);

// Afficher un résumé de la réponse
System.Console.WriteLine(response.Inference.ToString());

// Accéder aux résultats de classification
var classification = response.Inference.Result.Classification;
```

{% endcode %}

Consultez également le [Classification Result](https://docs.mindee.com/classification-models/sdk-integration/classification-result) documentation.
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/v2/fr/modeles-classification/sdk-integration/classification-quick-start.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
